# jGradHeading

A jQuery plugin for applying a progressive transition between two colors along a straight line to headings within an HTML element. It is the heading version of CSS3's linear-gradient().

Before using it, make sure you have included jQuery files in your code.

To use jGradHeading, simply give an ```id``` to the HTML element you would like to apply jGradHeading to:
```
<div id="gradHeading">
```

And in your javascript file:
```
$('#gradHeading').jGradHeading();
```

There are two optional parameters ```topColor``` and ```botColor``` that indicate the colors (must be hexadecimals) you would like to set for the top heading and the bottom heading respectively. 

For example, we set ```topColor``` as ```#E79460``` and ```botColor``` as ```#8F77B5```:
```
$('#gradHeading').jGradHeading({
		topColor: '#E79460',
		botColor: '#8F77B5'
});
```

Screenshot for the result:
![Same Headings](preview/h3s.png)

It applies to all headings from ```h1``` to ```h6```:
![Different Headings](preview/h1-h6.png)

An example of headings with texts:
![Headings with texts](preview/headingsWithTexts.png)